summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorValérian Rousset <tharvik@users.noreply.github.com>2020-03-21 15:56:13 +0100
committerJoonas Niilola <juippis@gentoo.org>2020-03-21 18:12:58 +0200
commit101a5f658ddb611d04ef00530c2d097fda78a078 (patch)
treeb1f19d0ade1416c4e6a859d4eb6d0a7e0fe858fd /net-libs/nativebiginteger
parentnet-vpn/i2p: drop 0.9.42 (diff)
downloadgentoo-101a5f658ddb611d04ef00530c2d097fda78a078.tar.gz
gentoo-101a5f658ddb611d04ef00530c2d097fda78a078.tar.bz2
gentoo-101a5f658ddb611d04ef00530c2d097fda78a078.zip
net-libs/nativebiginteger: bump to 0.9.45
Package-Manager: Portage-2.3.89, Repoman-2.3.20 Signed-off-by: Valérian Rousset <tharvik@users.noreply.github.com> Signed-off-by: Joonas Niilola <juippis@gentoo.org>
Diffstat (limited to 'net-libs/nativebiginteger')
-rw-r--r--net-libs/nativebiginteger/Manifest1
-rw-r--r--net-libs/nativebiginteger/nativebiginteger-0.9.45.ebuild71
2 files changed, 72 insertions, 0 deletions
diff --git a/net-libs/nativebiginteger/Manifest b/net-libs/nativebiginteger/Manifest
index 27eb59d92ee..645e59d1361 100644
--- a/net-libs/nativebiginteger/Manifest
+++ b/net-libs/nativebiginteger/Manifest
@@ -1,2 +1,3 @@
DIST i2psource_0.9.36.tar.bz2 29856168 BLAKE2B 0f10101b874bf6fc8415f10b08282947962a6fb8c3eaefde67d3f250d65a159551c24038625aa6712e88b368ccae38d136314025ac19fcb9dd9145251283b357 SHA512 e9023cae1c7dbdd92c9c4823497dfa8497cee3683de1232deddbdc548ba08edefe218bd81e00e952d8a95037c32de8359daaf43c2d5f25c75aba65554d2d47b4
DIST i2psource_0.9.42.tar.bz2 31523717 BLAKE2B 7f110f282a91fa0de700bfaee95968bb534f6f2c7d097c2d70fc9e6bda3ac583762b6b974b38b5947b15a77f91a8d595c957b35838456280236cd88c25d3d47b SHA512 bf8d83c1b1607f5ecf16d33d16cc760eb982d65ef0f89ebd5c61208a38a23f08f465e04889b8ef1d05df4d02a095d85a80077a5b10253d96023f056d01efacef
+DIST i2psource_0.9.45.tar.bz2 31921025 BLAKE2B 2d37777f77784ff93de4d7442eddf46b9a541902412bf5fb24cf96baba73851cc17d01649a7b4b41a710ccde5690036a890b8f84de00f4c615ed2e23da8fa510 SHA512 d4cf354f0a807d132fae75d4bad3e2e788e1ed03d6f625feb0f1369bb2c9e1a6e2758645acf2017c61dbc47d75e6d834b87455adbead1077f206025686548ae9
diff --git a/net-libs/nativebiginteger/nativebiginteger-0.9.45.ebuild b/net-libs/nativebiginteger/nativebiginteger-0.9.45.ebuild
new file mode 100644
index 00000000000..e0d376b7aa6
--- /dev/null
+++ b/net-libs/nativebiginteger/nativebiginteger-0.9.45.ebuild
@@ -0,0 +1,71 @@
+# Copyright 2018-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit java-pkg-2 toolchain-funcs
+
+DESCRIPTION="jbigi library used by net-vpn/i2p"
+HOMEPAGE="https://geti2p.net"
+SRC_URI="https://download.i2p2.de/releases/${PV}/i2psource_${PV}.tar.bz2"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+ dev-libs/gmp:0=
+ virtual/jdk:1.8
+"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/i2p-${PV}/core"
+
+PATCHES=(
+ "${FILESDIR}/${P}-asmfix.patch"
+)
+
+src_compile() {
+ local compile_lib
+ compile_lib() {
+ local name="${1}"
+ local file="${2}"
+ shift 2
+
+ "$(tc-getCC)" "${@}" ${CFLAGS} $(java-pkg_get-jni-cflags) \
+ ${LDFLAGS} -shared -fPIC "-Wl,-soname,lib${name}.so" \
+ "${file}" -o "lib${name}.so"
+ }
+
+ cd "${S}/c/jbigi/jbigi" || die "unable to cd to jbigi"
+ compile_lib jbigi src/jbigi.c -Iinclude -lgmp ||
+ die "unable to build jbigi"
+
+ if use amd64 || use x86; then
+ cd "${S}/c/jcpuid" || die "unable to cd to jcpuid"
+ compile_lib jcpuid src/jcpuid.c -Iinclude ||
+ die "unable to build jcpuid"
+ fi
+
+ if use test; then
+ cd "${S}/java/src" || die "unable to cd to java/src"
+ ejavac -encoding UTF-8 net/i2p/util/NativeBigInteger.java ||
+ die "unable to build tests"
+ fi
+}
+
+src_test() {
+ cd "${S}/java/src" || die "unable to cd to java/src"
+ "$(java-config -J)" -Djava.library.path="${S}/c/jbigi/jbigi" net/i2p/util/NativeBigInteger ||
+ die "unable to pass tests"
+}
+
+src_install() {
+ dolib.so c/jbigi/jbigi/libjbigi.so
+
+ if use amd64 || use x86; then
+ dolib.so c/jcpuid/libjcpuid.so
+ fi
+}